package com.huigou.topsun.sap.fixedAssets.application.impl;

import com.huigou.topsun.sap.fixedAssets.domain.TmpFixedAssessData;
import com.huigou.topsun.sap.fixedAssets.domain.TmpFixedRetirementData;
import com.huigou.topsun.sap.fixedAssets.repository.TmpFixedRetirementDataRepository;
import com.huigou.uasp.tool.dataimport.application.ExcelImportInterface;
import com.huigou.util.StringUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import java.util.List;
@Service("sapFixedRetirementExcelImport")
public class SapFixedRetirementExcelImport implements ExcelImportInterface {


    @Autowired
    private TmpFixedRetirementDataRepository tmpFixedRetirementDataRepository;
    @Override
    public void executeImport(String batchNumber) {
        List<TmpFixedRetirementData> tmpFixedRetirementDataList = tmpFixedRetirementDataRepository.findByBatchNumber(batchNumber);
        if (!CollectionUtils.isEmpty(tmpFixedRetirementDataList)){
            for (TmpFixedRetirementData tmpFixedRetirementData : tmpFixedRetirementDataList) {
                if (StringUtil.isNotBlank(tmpFixedRetirementData.getProzs()) && StringUtil.isNotBlank(tmpFixedRetirementData.getAnbtr())){
                    throw new RuntimeException("金额和百分比不能同时有值");
                }
            }
        }
        System.out.println("=========================");
      //  orgSyncApplication.sync(SyncKind.PSM, portalPeoples);
    }

}
